CreateChat "@specall" "<mins>" (26) [[
	if args >= 2 then
		local mins = tonumber(s[2])
		
		if mins then
			ServerMSG(player(id,"name").." spec. locked everyone to spectator")
			for _, p in pairs(player(0,"table")) do
				SpeclockPlayer(p, mins)
			end
		end
	end
]]